Bug 101654 - (ACPI) Unable to install Severn Beta 1 with Adaptec 19160 installed, unless pci=noacpi
(ACPI) Unable to install Severn Beta 1 with Adaptec 19160 installed, unless p...
Status: CLOSED DUPLICATE of bug 101630
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-08-05 05:35 EDT by Ivo Sarak
Modified: 2013-07-02 22:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 03:17:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmidecode (5.16 KB, text/plain)
2003-08-11 03:55 EDT, Ivo Sarak
no flags Details
Output of acpidmp. (68.66 KB, text/plain)
2003-08-11 03:57 EDT, Ivo Sarak
no flags Details
ACPI VT86/Award PCI interrupt patch. (12.21 KB, patch)
2003-08-21 18:25 EDT, Len Brown
no flags Details | Diff

  None (edit)
Description Ivo Sarak 2003-08-05 05:35:47 EDT
Description of problem:
Installer will stop with message saying about loading aic scsi driver.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Try to install RedHat Severn Beta 1 on machine with Adaptec 19160 board;
    
Actual results:
Installer will stop.

Expected results:
No stoppages.

Additional info:

The very same system with RedHat 9:
SCSI subsystem driver Revision: 1.00
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.8
        <Adaptec 19160B Ultra160 SCSI adapter>
        aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

blk: queue c2528c14, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: NEC       Model: CD-ROM DRIVE:466  Rev: 1.26
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue c2528e14, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: IBM       Model: DDYS-T18350N      Rev: SA2A
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue dfd52014, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: PLEXTOR   Model: CD-R   PX-W1210S  Rev: 1.00
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue dfd52414, I/O limit 4095Mb (mask 0xffffffff)
scsi0:A:5:0: Tagged Queuing enabled.  Depth 253
Attached scsi disk sda at scsi0, channel 0, id 5, lun 0
(scsi0:A:5): 160.000MB/s transfers (80.000MHz DT, offset 63, 16bit)
SCSI device sda: 35843670 512-byte hdwr sectors (18352 MB)
 sda: sda1

# lsmod
Module                  Size  Used by    Not tainted
ide-cd                 35424   0  (autoclean)
audigy                 78248   2  (autoclean)
ac97_codec             14536   0  (autoclean) [audigy]
sound                  73492   0  (autoclean) [audigy]
soundcore               6468   7  (autoclean) [audigy sound]
mga                   103936  13
agpgart                47968   3
smbfs                  43888  15  (autoclean)
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              14648   1  [iptable_filter]
3c59x                  29904   1
sg                     35852   0  (autoclean)
sr_mod                 17720   0  (autoclean)
cdrom                  33216   0  (autoclean) [ide-cd sr_mod]
ohci1394               19880   0  (unused)
ieee1394               48780   0  [ohci1394]
nls_iso8859-1           3548   1  (autoclean)
nls_cp437               5180   1  (autoclean)
vfat                   12780   1  (autoclean)
fat                    38488   0  (autoclean) [vfat]
scanner                11736   0  (unused)
loop                   12056   0  (autoclean)
lvm-mod                63648   0
keybdev                 2912   0  (unused)
mousedev                5428   1
hid                    21892   0  (unused)
input                   5792   0  [keybdev mousedev hid]
usb-uhci               25996   0  (unused)
ehci-hcd               19784   0  (unused)
usbcore                78272   1  [scanner hid usb-uhci ehci-hcd]
ext3                   69984   2
jbd                    51508   2  [ext3]
aic7xxx               137332   1
sd_mod                 13420   2
scsi_mod              106488   4  [sg sr_mod aic7xxx sd_mod]

$ uname -a
Linux sarmax 2.4.20-19.9 #1 Tue Jul 15 17:03:30 EDT 2003 i686 athlon i386 GNU/Linux

# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400 AGP] Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
00:0a.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
00:0b.0 SCSI storage controller: Adaptec AIC-7892B U160/m (rev 02)
00:0d.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)
00:0d.1 Input device controller: Creative Labs SB Audigy MIDI/Game port (rev 03)
00:0d.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port
00:10.0 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. VT82C586/B/686A/B PIPC Bus Master
IDE (rev 06)
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G550 AGP (rev 01)
Comment 1 Bill Nottingham 2003-08-05 11:11:03 EDT
What happens if you boot with 'acpi=off'?
Comment 2 Ivo Sarak 2003-08-06 08:45:24 EDT
"acpi=off" did the trick!
After install I tried to boot the box without "acpi=off" and it stopped at
loading aic7xxx.

What does ACPI has to do with Adaptec SCSI controller?
Comment 3 Michael K. Johnson 2003-08-08 15:57:59 EDT
ACPI controls interrupt routing by default.

Please run as root and post the output of
/usr/sbin/dmidecode
/usr/sbin/acpidmp
Comment 4 Len Brown 2003-08-08 17:53:07 EDT
try booting with "pci=noacpi".  If that fails, try "noapic".
please attach the "dmesg -s40000" output of the 1st that works.
If you have a serial console, it would be even better to get the boot messages 
from the failure case.


Comment 5 Ivo Sarak 2003-08-11 03:55:57 EDT
Created attachment 93564 [details]
output of dmidecode
Comment 6 Ivo Sarak 2003-08-11 03:57:10 EDT
Created attachment 93565 [details]
Output of acpidmp.
Comment 7 Ivo Sarak 2003-08-11 04:14:48 EDT
 "pci=noacpi" is working but "noapic" is failing.

"dmesg -s40000" output of "pci=noacpi":

Linux version 2.4.21-20.1.2024.2.1.nptl (bhcompile@daffy.perf.redhat.com) (gcc
version 3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Fri Jul 11 06:12:28 EDT 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001fff0000 (usable)
 BIOS-e820: 000000001fff0000 - 000000001fff3000 (ACPI NVS)
 BIOS-e820: 000000001fff3000 - 0000000020000000 (ACPI data)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
511MB LOWMEM available.
ACPI: have wakeup address 0xc0001000
On node 0 totalpages: 131056
zone(0): 4096 pages.
zone(1): 126960 pages.
zone(2): 0 pages.
ACPI: RSDP (v000 GBT                        ) @ 0x000f6520
ACPI: RSDT (v001 GBT    AWRDACPI 16944.11825) @ 0x1fff3000
ACPI: FADT (v001 GBT    AWRDACPI 16944.11825) @ 0x1fff3040
ACPI: MADT (v001 GBT    AWRDACPI 16944.11825) @ 0x1fff6ac0
ACPI: DSDT (v001 GBT    AWRDACPI 00000.04096) @ 0x00000000
ACPI: BIOS passes blacklist
Kernel command line: ro pci=noacpi root=LABEL=/ vga=0x305
Initializing CPU#0
Detected 2009.332 MHz processor.
Console: colour dummy device 80x25
Calibrating delay loop... 4010.80 BogoMIPS
Memory: 514192k/524224k available (1467k kernel code, 9644k reserved, 1099k
data, 132k init, 0k highmem)
Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode cache hash table entries: 32768 (order: 6, 262144 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 32768 (order: 5, 131072 bytes)
Page-cache hash table entries: 131072 (order: 7, 524288 bytes)
CPU: CLK_CTL MSR was 60031223. Reprogramming to 20031223
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0383fbff c1c3fbff 00000000 00000000
CPU:             Common caps: 0383fbff c1c3fbff 00000000 00000000
CPU: AMD Athlon(tm) XP 2400+ stepping 01
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
ACPI: Subsystem revision 20030619
PCI: PCI BIOS revision 2.10 entry at 0xf9d60, last bus=1
PCI: Using configuration type 1
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: System [ACPI] (supports S0 S1 S4 S5)
ACPI: PCI Root Bridge [PCI0] (00:00)
PCI: Probing PCI hardware (bus 00)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [ALKA] (IRQs 20, disabled)
ACPI: PCI Interrupt Link [ALKB] (IRQs 21, disabled)
ACPI: PCI Interrupt Link [ALKC] (IRQs 22, disabled)
ACPI: PCI Interrupt Link [ALKD] (IRQs 23, disabled)
PCI: Probing PCI hardware
PCI: Using IRQ router default [1106/3189] at 00:00.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16)
apm: overridden by ACPI.
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
Asus Laptop ACPI Extras version 0.24a
vesafb: framebuffer at 0xd8000000, mapped to 0xe0814000, size 1536k
vesafb: mode is 1024x768x8, linelength=1024, pages=18
vesafb: protected mode interface info at c000:7d60
vesafb: scrolling: redraw
Console: switching to colour frame buffer device 128x48
fb0: VESA VGA frame buffer device
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 00:11.1
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt8235 (rev 00) IDE UDMA133 controller on pci00:11.1
    ide0: BM-DMA at 0xec00-0xec07, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xec08-0xec0f, BIOS settings: hdc:pio, hdd:DMA
hda: MAXTOR 4K080H4, ATA DISK drive
blk: queue c0400040, I/O limit 4095Mb (mask 0xffffffff)
hdd: _NEC DV-5800A, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: attached ide-disk driver.
hda: host protected area => 1
hda: 156301487 sectors (80026 MB) w/2000KiB Cache, CHS=9729/255/63, UDMA(100)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 284k freed
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
        <Adaptec 19160B Ultra160 SCSI adapter>
        aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

blk: queue dfaa6814, I/O limit 4095Mb (mask 0xffffffff)
(scsi0:A:3): 20.000MB/s transfers (20.000MHz, offset 16)
(scsi0:A:5): 160.000MB/s transfers (80.000MHz DT, offset 63, 16bit)
(scsi0:A:6): 20.000MB/s transfers (20.000MHz, offset 16)
  Vendor: NEC       Model: CD-ROM DRIVE:466  Rev: 1.26
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue dfaa7e14, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: IBM       Model: DDYS-T18350N      Rev: SA2A
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue dfaa7214, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: PLEXTOR   Model: CD-R   PX-W1210S  Rev: 1.00
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue dfaa7c14, I/O limit 4095Mb (mask 0xffffffff)
scsi0:A:5:0: Tagged Queuing enabled.  Depth 253
Attached scsi disk sda at scsi0, channel 0, id 5, lun 0
SCSI device sda: 35843670 512-byte hdwr sectors (18352 MB)
 sda: sda1
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 132k freed
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
ehci_hcd 00:10.3: VIA Technologies, Inc. USB 2.0
ehci_hcd 00:10.3: irq 11, pci mem e0a1f000
usb.c: new USB bus registered, assigned bus number 1
PCI: 00:10.3 PCI cache line size set incorrectly (32 bytes) by BIOS/FW.
PCI: 00:10.3 PCI cache line size corrected to 64.
ehci_hcd 00:10.3: USB 2.0 enabled, EHCI 1.00, driver 2003-Jun-19/2.4
hub.c: USB hub found
hub.c: 6 ports detected
usb-uhci.c: $Revision: 1.275 $ time 06:20:33 Jul 11 2003
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xe000, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: USB UHCI at I/O 0xe400, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 3
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: USB UHCI at I/O 0xe800, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 4
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,2), internal journal
LVM version 1.0.5+(22/07/2002) module loaded
loop: loaded (max 8 devices)
Adding Swap: 1044216k swap-space (priority -1)
hub.c: new USB device 00:10.0-1, assigned address 2
usb.c: USB device 2 (vend/prod 0x3f0/0x1105) is not claimed by any active driver.
usb.c: registered new driver usbscanner
scanner.c: USB scanner device (0x03f0/0x1105) now attached to scanner0
scanner.c: 0.4.13:USB Scanner Driver
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
ohci1394: $Rev: 952 $ Ben Collins <bcollins@debian.org>
ohci1394_0: OHCI-1394 1.1 (PCI): IRQ=[10]  MMIO=[de005000-de0057ff]  Max
Packet=[2048]
ieee1394: Host added: Node[00:1023]  GUID[00023c0020006758]  [Linux OHCI-1394]
parport0: PC-style at 0x378 [PCSPP,TRISTATE]
inserting floppy driver for 2.4.21-20.1.2024.2.1.nptl
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
00:0a.0: 3Com PCI 3c905C Tornado at 0xd000. Vers LK1.1.18-ac
 00:04:75:c8:a2:60, IRQ 10
  product code 5558 rev 00.6 date 09-25-02
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 782d.
  Enabling bus-master transmits and whole-frame receives.
00:0a.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth0
divert: freeing divert_blk for eth0
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 3, lun 0
Attached scsi CD-ROM sr1 at scsi0, channel 0, id 6, lun 0
sr0: scsi3-mmc drive: 17x/40x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.12
sr1: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
ip_tables: (C) 2000-2002 Netfilter core team
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
00:0a.0: 3Com PCI 3c905C Tornado at 0xd000. Vers LK1.1.18-ac
 00:04:75:c8:a2:60, IRQ 10
  product code 5558 rev 00.6 date 09-25-02
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 782d.
  Enabling bus-master transmits and whole-frame receives.
00:0a.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth0
ip_tables: (C) 2000-2002 Netfilter core team
ip_tables: (C) 2000-2002 Netfilter core team
Comment 8 Ivo Sarak 2003-08-11 04:26:16 EDT
"If you have a serial console, it would be even better to get the boot messages 
from the failure case."

What I need for this?
What parameters the serial line has to use?
Comment 9 Len Brown 2003-08-11 12:15:44 EDT
Re: serial console instructions 
 
Refer to: http://tldp.org/HOWTO/Remote-Serial-Console-HOWTO/ 
 
Below's the top of the /boot/grub/grub.conf that I use for a 2.6 static kernel -- you can 
duplicate the default Red Hat entries and just append the console params.  Then you'll 
need a null modem cable and something to capture the output.  I use minicom on linux 
or hyperterminal on windows.   
 
# grub.conf generated by anaconda 
# 
# Note that you do not have to rerun grub after making changes to this file 
# NOTICE:  You have a /boot partition.  This means that 
#          all kernel and initrd paths are relative to /boot/, eg. 
#          root (hd0,0) 
#          kernel /vmlinuz-version ro root=/dev/hda2 
#          initrd /initrd-version.img 
#boot=/dev/hda 
serial --unit=0 --speed=115200 --word=8 --parity=no --stop=1 
terminal --timeout=300 serial console 
 
default=0 
timeout=100 
###splashimage=(hd0,0)/grub/splash.xpm.gz 
 
 
title Red Hat Linux (2.4.21-20.1.2024.2.1.nptl) 
        root (hd0,0) 
        kernel /vmlinuz-2.4.21-20.1.2024.2.1.nptl ro root=LABEL=/ hdc=ide-scsi 
        initrd /initrd-2.4.21-20.1.2024.2.1.nptl.img 
 
title Lenb 2.6 (2.6.0-test2) 
        root (hd0,0) 
        kernel /vmlinuz-2.6.0-test2 root=/dev/hda2 hdc=ide-scsi  console=tty0 
console=ttyS0,115200n8 
 
Comment 10 Len Brown 2003-08-11 13:15:48 EDT
This is the same motherboard as in bug 100499 
 
http://www.giga-byte.com/Motherboard/Support/BIOS/BIOS_List.htm 
Says that they've got the latest BIOS for this MB: F10 
 
Comment 11 Ivo Sarak 2003-08-11 20:42:19 EDT
Thanks for the serial instructions, I try to get nullmodem and try it out.

Quote: 
"This is the same motherboard as in bug 100499 
 
http://www.giga-byte.com/Motherboard/Support/BIOS/BIOS_List.htm 
Says that they've got the latest BIOS for this MB: F10"

According to dmidecode this board already has BIOS ver F10:
"Handle 0x0000
	DMI type 0, 20 bytes.
	BIOS Information Block
		Vendor: Award Software International, Inc.
		Version: F10
		Release: 01/14/2003
		BIOS base: 0xE0000
		ROM size: 192K
		Capabilities:
			Flags: 0x000000007FCB9E90"
Comment 12 Len Brown 2003-08-21 18:25:42 EDT
Created attachment 93839 [details]
ACPI VT86/Award PCI interrupt patch. 


This patch has fixed the ACPI interrupt problem for similar systems.
Please try applying it to a copy of your Severn BETA1 kernel to
see if works for you too:

~/src/linux-2.4.21-20.1.2024.2.1.nptl> patch -Np1 < ./pci_link-severn.patch
patching file arch/i386/kernel/io_apic.c
patching file arch/i386/kernel/mpparse.c
patching file drivers/acpi/pci_irq.c
patching file drivers/acpi/pci_link.c
patching file include/acpi/acpi_drivers.h
Comment 13 Ivo Sarak 2003-09-24 08:23:34 EDT
After upgrade to Severn Beta Upgrade Fedora kernel 2.4.22-1.2051.nptl, no
"acpi=off" is needed anymore.
Comment 14 Bill Nottingham 2003-10-21 16:20:45 EDT

*** This bug has been marked as a duplicate of 101630 ***

Note You need to log in before you can comment on or make changes to this bug.